'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var faAdobe = require('@fortawesome/free-brands-svg-icons/faAdobe');
var faGitAlt = require('@fortawesome/free-brands-svg-icons/faGitAlt');
var faLinux = require('@fortawesome/free-brands-svg-icons/faLinux');
var faNodeJs = require('@fortawesome/free-brands-svg-icons/faNodeJs');
var faPhp = require('@fortawesome/free-brands-svg-icons/faPhp');
var faPython = require('@fortawesome/free-brands-svg-icons/faPython');
var faRust = require('@fortawesome/free-brands-svg-icons/faRust');
var faUbuntu = require('@fortawesome/free-brands-svg-icons/faUbuntu');
var faWindows = require('@fortawesome/free-brands-svg-icons/faWindows');
var faArrowDown = require('@fortawesome/free-solid-svg-icons/faArrowDown');
var faBalanceScale = require('@fortawesome/free-solid-svg-icons/faBalanceScale');
var faBoxOpen = require('@fortawesome/free-solid-svg-icons/faBoxOpen');
var faChevronDown = require('@fortawesome/free-solid-svg-icons/faChevronDown');
var faChevronRight = require('@fortawesome/free-solid-svg-icons/faChevronRight');
var faCircleNotch = require('@fortawesome/free-solid-svg-icons/faCircleNotch');
var faCogs = require('@fortawesome/free-solid-svg-icons/faCogs');
var faCopy = require('@fortawesome/free-solid-svg-icons/faCopy');
var faCubes = require('@fortawesome/free-solid-svg-icons/faCubes');
var faDatabase = require('@fortawesome/free-solid-svg-icons/faDatabase');
var faDownload = require('@fortawesome/free-solid-svg-icons/faDownload');
var faEraser = require('@fortawesome/free-solid-svg-icons/faEraser');
var faExclamationTriangle = require('@fortawesome/free-solid-svg-icons/faExclamationTriangle');
var faExternalLinkAlt = require('@fortawesome/free-solid-svg-icons/faExternalLinkAlt');
var faEyeSlash = require('@fortawesome/free-solid-svg-icons/faEyeSlash');
var faFile = require('@fortawesome/free-solid-svg-icons/faFile');
var faFileAlt = require('@fortawesome/free-solid-svg-icons/faFileAlt');
var faFileArchive = require('@fortawesome/free-solid-svg-icons/faFileArchive');
var faFileCode = require('@fortawesome/free-solid-svg-icons/faFileCode');
var faFileExcel = require('@fortawesome/free-solid-svg-icons/faFileExcel');
var faFileImage = require('@fortawesome/free-solid-svg-icons/faFileImage');
var faFilePdf = require('@fortawesome/free-solid-svg-icons/faFilePdf');
var faFileWord = require('@fortawesome/free-solid-svg-icons/faFileWord');
var faFilm = require('@fortawesome/free-solid-svg-icons/faFilm');
var faFistRaised = require('@fortawesome/free-solid-svg-icons/faFistRaised');
var faFolder = require('@fortawesome/free-solid-svg-icons/faFolder');
var faFolderOpen = require('@fortawesome/free-solid-svg-icons/faFolderOpen');
var faFolderPlus = require('@fortawesome/free-solid-svg-icons/faFolderPlus');
var faInfoCircle = require('@fortawesome/free-solid-svg-icons/faInfoCircle');
var faKey = require('@fortawesome/free-solid-svg-icons/faKey');
var faLevelUpAlt = require('@fortawesome/free-solid-svg-icons/faLevelUpAlt');
var faList = require('@fortawesome/free-solid-svg-icons/faList');
var faLock = require('@fortawesome/free-solid-svg-icons/faLock');
var faMinus = require('@fortawesome/free-solid-svg-icons/faMinus');
var faMusic = require('@fortawesome/free-solid-svg-icons/faMusic');
var faObjectGroup = require('@fortawesome/free-solid-svg-icons/faObjectGroup');
var faPaste = require('@fortawesome/free-solid-svg-icons/faPaste');
var faRunning = require('@fortawesome/free-solid-svg-icons/faRunning');
var faSearch = require('@fortawesome/free-solid-svg-icons/faSearch');
var faShareAlt = require('@fortawesome/free-solid-svg-icons/faShareAlt');
var faSortAmountDownAlt = require('@fortawesome/free-solid-svg-icons/faSortAmountDownAlt');
var faSortAmountUpAlt = require('@fortawesome/free-solid-svg-icons/faSortAmountUpAlt');
var faTerminal = require('@fortawesome/free-solid-svg-icons/faTerminal');
var faTh = require('@fortawesome/free-solid-svg-icons/faTh');
var faThLarge = require('@fortawesome/free-solid-svg-icons/faThLarge');
var faThList = require('@fortawesome/free-solid-svg-icons/faThList');
var faTimes = require('@fortawesome/free-solid-svg-icons/faTimes');
var faToggleOff = require('@fortawesome/free-solid-svg-icons/faToggleOff');
var faToggleOn = require('@fortawesome/free-solid-svg-icons/faToggleOn');
var faTrash = require('@fortawesome/free-solid-svg-icons/faTrash');
var faUpload = require('@fortawesome/free-solid-svg-icons/faUpload');
var faUsers = require('@fortawesome/free-solid-svg-icons/faUsers');
var reactFontawesome = require('@fortawesome/react-fontawesome');
var chonkyFileExplorer = require('@ananthan-cloud/chonky-file-explorer');
var React = _interopDefault(require('react'));

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

var _IconMap;
var IconMap = (_IconMap = {}, _IconMap[chonkyFileExplorer.ChonkyIconName.loading] = faCircleNotch.faCircleNotch, _IconMap[chonkyFileExplorer.ChonkyIconName.dropdown] = faChevronDown.faChevronDown, _IconMap[chonkyFileExplorer.ChonkyIconName.placeholder] = faMinus.faMinus, _IconMap[chonkyFileExplorer.ChonkyIconName.dndDragging] = faFistRaised.faFistRaised, _IconMap[chonkyFileExplorer.ChonkyIconName.dndCanDrop] = faArrowDown.faArrowDown, _IconMap[chonkyFileExplorer.ChonkyIconName.dndCannotDrop] = faTimes.faTimes, _IconMap[chonkyFileExplorer.ChonkyIconName.openFiles] = faBoxOpen.faBoxOpen, _IconMap[chonkyFileExplorer.ChonkyIconName.openParentFolder] = faLevelUpAlt.faLevelUpAlt, _IconMap[chonkyFileExplorer.ChonkyIconName.copy] = faCopy.faCopy, _IconMap[chonkyFileExplorer.ChonkyIconName.paste] = faPaste.faPaste, _IconMap[chonkyFileExplorer.ChonkyIconName.share] = faShareAlt.faShareAlt, _IconMap[chonkyFileExplorer.ChonkyIconName.search] = faSearch.faSearch, _IconMap[chonkyFileExplorer.ChonkyIconName.selectAllFiles] = faObjectGroup.faObjectGroup, _IconMap[chonkyFileExplorer.ChonkyIconName.clearSelection] = faEraser.faEraser, _IconMap[chonkyFileExplorer.ChonkyIconName.sortAsc] = faSortAmountDownAlt.faSortAmountDownAlt, _IconMap[chonkyFileExplorer.ChonkyIconName.sortDesc] = faSortAmountUpAlt.faSortAmountUpAlt, _IconMap[chonkyFileExplorer.ChonkyIconName.toggleOn] = faToggleOn.faToggleOn, _IconMap[chonkyFileExplorer.ChonkyIconName.toggleOff] = faToggleOff.faToggleOff, _IconMap[chonkyFileExplorer.ChonkyIconName.list] = faList.faList, _IconMap[chonkyFileExplorer.ChonkyIconName.compact] = faThList.faThList, _IconMap[chonkyFileExplorer.ChonkyIconName.smallThumbnail] = faTh.faTh, _IconMap[chonkyFileExplorer.ChonkyIconName.largeThumbnail] = faThLarge.faThLarge, _IconMap[chonkyFileExplorer.ChonkyIconName.folder] = faFolder.faFolder, _IconMap[chonkyFileExplorer.ChonkyIconName.folderCreate] = faFolderPlus.faFolderPlus, _IconMap[chonkyFileExplorer.ChonkyIconName.folderOpen] = faFolderOpen.faFolderOpen, _IconMap[chonkyFileExplorer.ChonkyIconName.folderChainSeparator] = faChevronRight.faChevronRight, _IconMap[chonkyFileExplorer.ChonkyIconName.download] = faDownload.faDownload, _IconMap[chonkyFileExplorer.ChonkyIconName.upload] = faUpload.faUpload, _IconMap[chonkyFileExplorer.ChonkyIconName.trash] = faTrash.faTrash, _IconMap[chonkyFileExplorer.ChonkyIconName.fallbackIcon] = faExclamationTriangle.faExclamationTriangle, _IconMap[chonkyFileExplorer.ChonkyIconName.symlink] = faExternalLinkAlt.faExternalLinkAlt, _IconMap[chonkyFileExplorer.ChonkyIconName.hidden] = faEyeSlash.faEyeSlash, _IconMap[chonkyFileExplorer.ChonkyIconName.file] = faFile.faFile, _IconMap[chonkyFileExplorer.ChonkyIconName.license] = faBalanceScale.faBalanceScale, _IconMap[chonkyFileExplorer.ChonkyIconName.code] = faFileCode.faFileCode, _IconMap[chonkyFileExplorer.ChonkyIconName.config] = faCogs.faCogs, _IconMap[chonkyFileExplorer.ChonkyIconName.model] = faCubes.faCubes, _IconMap[chonkyFileExplorer.ChonkyIconName.database] = faDatabase.faDatabase, _IconMap[chonkyFileExplorer.ChonkyIconName.text] = faFileAlt.faFileAlt, _IconMap[chonkyFileExplorer.ChonkyIconName.archive] = faFileArchive.faFileArchive, _IconMap[chonkyFileExplorer.ChonkyIconName.image] = faFileImage.faFileImage, _IconMap[chonkyFileExplorer.ChonkyIconName.video] = faFilm.faFilm, _IconMap[chonkyFileExplorer.ChonkyIconName.info] = faInfoCircle.faInfoCircle, _IconMap[chonkyFileExplorer.ChonkyIconName.key] = faKey.faKey, _IconMap[chonkyFileExplorer.ChonkyIconName.lock] = faLock.faLock, _IconMap[chonkyFileExplorer.ChonkyIconName.music] = faMusic.faMusic, _IconMap[chonkyFileExplorer.ChonkyIconName.terminal] = faTerminal.faTerminal, _IconMap[chonkyFileExplorer.ChonkyIconName.users] = faUsers.faUsers, _IconMap[chonkyFileExplorer.ChonkyIconName.linux] = faLinux.faLinux, _IconMap[chonkyFileExplorer.ChonkyIconName.ubuntu] = faUbuntu.faUbuntu, _IconMap[chonkyFileExplorer.ChonkyIconName.windows] = faWindows.faWindows, _IconMap[chonkyFileExplorer.ChonkyIconName.rust] = faRust.faRust, _IconMap[chonkyFileExplorer.ChonkyIconName.python] = faPython.faPython, _IconMap[chonkyFileExplorer.ChonkyIconName.nodejs] = faNodeJs.faNodeJs, _IconMap[chonkyFileExplorer.ChonkyIconName.php] = faPhp.faPhp, _IconMap[chonkyFileExplorer.ChonkyIconName.git] = faGitAlt.faGitAlt, _IconMap[chonkyFileExplorer.ChonkyIconName.adobe] = faAdobe.faAdobe, _IconMap[chonkyFileExplorer.ChonkyIconName.pdf] = faFilePdf.faFilePdf, _IconMap[chonkyFileExplorer.ChonkyIconName.excel] = faFileExcel.faFileExcel, _IconMap[chonkyFileExplorer.ChonkyIconName.word] = faFileWord.faFileWord, _IconMap[chonkyFileExplorer.ChonkyIconName.flash] = faRunning.faRunning, _IconMap);
var ChonkyIconFA = /*#__PURE__*/React.memo(function (props) {
  var _IconMap$icon;

  var icon = props.icon;
  var faIcon; // FontAwesome `IconDefinition`

  if (typeof icon === 'object') faIcon = icon;else faIcon = (_IconMap$icon = IconMap[icon]) != null ? _IconMap$icon : IconMap.fallbackIcon;

  var faProps = _extends({}, props, {
    icon: faIcon
  });

  return React.createElement(reactFontawesome.FontAwesomeIcon, Object.assign({}, faProps));
});

exports.ChonkyIconFA = ChonkyIconFA;
//# sourceMappingURL=chonky-icons.cjs.development.js.map
